View Issue Details

IDProjectCategoryView StatusLast Update
0000161Lazaruspublic2004-01-28 15:38
ReporterBug ImportAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000161: lazarus compiled with fpc 1.0.11 can't open form made with lazarus compiled with 1.9.x
DescriptionI have two lazarus executables lazarus.beta compiled with fpc 1.9.1 (Compiler Date : 2003/12/22) and lazarus.release compiled with fpc 1.0.11 (Compiler Date : 2003/12/27)/

With lazarus.beta I create a new project with a new form and on that form I put a groupbox. I save this project.

If I open this project with lazarus.release I get the message:
Error while reading Groupbox1.Color : Invalid property value. The property value is clBtnFace. Support for reading and writing such property values have recently been added to fpc 1.9.

An example in Lazarus: the DebuggerOptionsForm can't be opened with lazarus.release.
Additional InformationImported information
--------------------
Name: Vincent Snijders
Mail: vslist (at) zonnet.nl
TagsNo tags attached.
Fixed in Revision
LazTarget
WidgetsetGTK, Win32/Win64
Attached Files

Activities

Bug Import

2004-01-28 15:38

reporter   ~0000140

MG

Issue History

Date Modified Username Field Change
2003-12-27 00:00 Bug Import New Issue
2003-12-27 00:00 Bug Import Widgetset => GTK, Win32
2004-01-28 15:38 Bug Import Note Added: 0000140
2004-01-28 15:38 Bug Import Status new => closed
2004-01-28 15:38 Bug Import Resolution open => fixed